$.noConflict();
  jQuery(document).ready(function($) {


//контрастная версия
function setcookie(a,b,c) {if(c){var d = new Date();d.setDate(d.getDate()+c);}if(a && b) document.cookie = a+'='+b+(c ? '; path=/; expires='+d.toUTCString() : '');else return false;}
function getcookie(a) {var b = new RegExp(a+'=([^;]){1,}');var c = b.exec(document.cookie);if(c) c = c[0].split('=');else return false;return c[1] ? c[1] : false;}
var contrastcookie = getcookie("contrast");
var siteid = $(".contrtumbler").attr("siteid");
if(siteid == 's1'){
	var usualversiontext = 'Обычная версия';
	var contrastversiontext = 'Контрастная версия';
} else {
	var usualversiontext = 'Normal version';
	var contrastversiontext = 'Contrast version';
}
if (contrastcookie == "yes")
	{
		$("body").attr("id","contrast");
		$(".contrtumbler").html("<a>"+usualversiontext+"</a>").attr("version", "1");
		//console.log('Проверили да');
	}else{
		//console.log('Проверили нет ' + contrastcookie);
	}
$(".contrtumbler").click(function(){	
	if($(this).attr("version") == "0")
	{
		$(this).html("<a>"+usualversiontext+"</a>").attr("version", "1");
		$("body").attr("id","contrast");
		setcookie("contrast","yes",10);
		//console.log('Записали да');
		//$.cookie('contrast', null); - обойдёмся ванилью
		//$.cookie('contrast', 'yes', {path: "/"});	
	} else {
		$(this).html("<a>"+contrastversiontext+"</a>").attr("version", "0");
		$("body").attr("id","work");
		//$.cookie('contrast', null);
		//$.cookie("contrast", "no", {path: "/"});
		setcookie("contrast","no",10);
		//console.log('Записали нет');
	}
	jQuery('body').delay(300).animate({scrollTop:0}, 'slow');
});


  			//скрипты инструментов
  			$('#share_item .email').click(function() {
            modalShow($('#email_friend_form').html());
            return false;
	        });

	        if ($('.ef_form .errortext').length != 0) {
	            modalShow($('#email_friend_form').html());
	        }

	        if ($('.ef_form .mf-ok-text').length != 0) {
	            modalShow($('#email_friend_form').html());
	            setTimeout('modalClose()', 3000);
	        }

	        if ($('.mfeedback .errortext').length != 0) {
	            modalShow($('#feedback_form').html());
	        }

	        if ($('.mfeedback .mf-ok-text').length != 0) {
	            modalShow($('#feedback_form').html());
	            setTimeout('modalClose()', 3000);
	        }

	        $('#overlay, #modal_window .close').click(function() {
	            modalClose();
	            return false;
	        });


  			//меню история просмотров
  			var mouseyes = false;
  			var mousenow = false;
  			$('.rm-chasy').mouseenter(function(){
  				$('.tools_drop_menu').fadeIn('200');
  				mousenow = true;
  				$(this).css('background-position', 'left -40px');
  			});
  			$('.rm-chasy').mouseleave(function(){
  				mousenow = false;
  			});
  			$('.tools_drop_menu').mouseleave(function(){
  				$(this).fadeOut('200');
  				mouseyes = false;
  				$('.rm-chasy').delay('200').css('background-position', '0 0');
  				//console.warn('Выведено');
  			});
  			$('.tools_drop_menu').mouseenter(function(){
  				mouseyes = true;
  				//console.warn('Введено');
  			});
  			setInterval(function(){
  				if (mouseyes == false && mousenow == false){
  					$('.tools_drop_menu').fadeOut('200');
  					$('.rm-chasy').delay('200').css('background-position', '0 0');
  				}
  			}, 2000);



			 $('#slideshow, #videoslides').slides({
				effect: 'fade',
				crossfade: true,
				play: 5000,
				pause: 1500,
				pagination: true,
				generatePagination: true,
				hoverPause: true
			});
			  $('#slideshow2').slides({
				effect: 'fade',
				crossfade: false,
				play: 5000,
				pause: 1500,
				pagination: true,
				generatePagination: true,
				hoverPause: true
			});
	// Mеню
        //$('#menu > li > ul').hide();
	$('#menu > li > a').click(function(e){
		var podmenu = $(this).parent('li').find('ul');
		if(podmenu.length > 0) e.preventDefault();		 
		if($(this).parent().hasClass('op')){
		} else {
			
			podmenu.animate({
			height: '100%',
			padding: '10px 0 10px 15px'
			}, 400);
			$('#menu > li').removeClass('op');
      		$(this).parent().addClass('op');
			$('#menu > li').not('.op').find('ul').animate({
			height: '0',
			padding: '0 0 0 15px'
			}, 400);

			
      		
		}
  });
			
	// Тултип
	$(".up").hover(function(){
        tip = $(this).find('span');
        tip.show();
    }, function() {
        tip.hide();
    }).mousemove(function(e) {
		var pos = $('#content-box').position();
        var mousex = e.pageX - pos.left + 20;
        var mousey = e.pageY - pos.top + 20;
		tip.css({  top: mousey, left: mousex });
    });
	
		//Share
	$('#share').hover(function(){
		$(this).children('ul').show();
	}, function(){
		$(this).children('ul').hide();
	});
	 $(".read-report").on("click", function(){
    	$(this).addClass("hidden");
    	$("#submenu").removeClass("hidden");
    })
    $("#main #block2 a").on("click", function(e){
    	e.preventDefault();
    	$(".video-box").removeClass("hidden").on("click",function(){
    		$(this).addClass("hidden")
    	})
    })
 $("#main #block1,#main #slideshow,#main #block2,#main #slideshow2").addClass("shown");
 
 //Модалка feedback по мылу
$('.rm-mail').click(function(e){
e.preventDefault();
// Загрузка ?
$(this).siblings('form').show();
});
// Закрыть модалку
$('.modal-close').click(function(){
$(this).parent().hide();
$('#anmodbox').hide()
$('body').css({'overflow':'auto'});
});
// Закрыть модалку линк по мылу
$('body').on('click', '#anmodbox .modal-close', function(){
$(this).parent().parent().hide().empty();
});
// Ресайз окна браузера
$(window).resize(function() {
//anmodSize();
});
/*function anmodSize(){ // Размеры и ресайз
//console.log('anmodSize function start');
var mh = $(document).height();
var mw = $('body').width();
var amw = $('.anmodin').width(); // Ширина модалки
var amh = $('.anmodin').height();
var wh = $(window).height(); // Высота экрана
//if($('.anmodin').length == 0){console.log('Нужный элемент не найден')} else {console.log('Нужный элемент найден')}
$('.anmodin').css({'top': (wh-amh)/2, 'left': (mw-amw)/2});
//$('body').css({'overflow':'hidden'});
//console.log('anmodSize function end');
}
*/

// social mail modal
$('.rm-mail').click(function(){
//console.log('click');
// вставить в боди нужный див фон / контейнер , если его там ещё нет, если есть - показываем
if($('#anmodbox').length == 0) {$('body').append('<div id="anmodbox"></div>')} else {$('#anmodbox').show()}
$.ajax({
  url: "anmodcontent.html",
  cache: true,
  success: function(html){ $("#anmodbox").append(html); anmodSize();}  
}).done(function(msg){ /*console.log( "Data Saved: " + msg );*/});
$('#mail-feedback').show();
$('body').css({'overflow':'hidden'});
});
 
});